package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;

/**
 * @author 陈标
 * @Description
 * @Date 2020/7/20 0020 10:17
 */
public class OrderStatusFlowsQuery {

    private Integer bizType;

    /**
     * 单据类型
     */
    private Integer docType;
    /**
     * 之前状态
     */
    private Integer beforeStatus;

    /**
     * 操作
     */
    private String operation;

    /**
     * 之后状态
     */
    private Integer afterStatus;


    public Integer getBizType() {
        return bizType;
    }

    public void setBizType(Integer bizType) {
        this.bizType = bizType;
    }

    public Integer getDocType() {
        return docType;
    }

    public void setDocType(Integer docType) {
        this.docType = docType;
    }

    public Integer getBeforeStatus() {
        return beforeStatus;
    }

    public void setBeforeStatus(Integer beforeStatus) {
        this.beforeStatus = beforeStatus;
    }

    public String getOperation() {
        return operation;
    }

    public void setOperation(String operation) {
        this.operation = operation;
    }

    public Integer getAfterStatus() {
        return afterStatus;
    }

    public void setAfterStatus(Integer afterStatus) {
        this.afterStatus = afterStatus;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
